﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridRightClickSelection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();            
        }

        private void CC_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            CellControl cc = sender as CellControl;

            if (cc.Cell != null)
            {
                Row row = cc.Cell.Row as Row;

                if (row != null)
                {
                    row.IsSelected = !row.IsSelected;
                }
            }
        }
    }
}
