﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridRightClickSelection
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Jen;Steve;Eric;Alex;Lisa;Pam;Rob".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData() { ID = i, Name = names[i], Number = r.Next(1000) });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number { get; set; }
    }
}
